<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: Mutex APIs</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>Mutex APIs<br/>
<small>
[<a class="el" href="group__group__tivx__api.html">1: TIOVX Interface Modules</a>]</small>
</h1><table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__mutex.html#ga10f941b75c48ffe7069c4b840ce095cc">tivxMutexCreate</a> (<a class="el" href="group__group__tivx__mutex.html#gaca8bf54b8519ecd4c6aa8368286bde45">tivx_mutex</a> *mutex)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Create a mutex.  <a href="#ga10f941b75c48ffe7069c4b840ce095cc"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__mutex.html#ga4bdfefab59fb153a56dc3471c05b43a8">tivxMutexDelete</a> (<a class="el" href="group__group__tivx__mutex.html#gaca8bf54b8519ecd4c6aa8368286bde45">tivx_mutex</a> *mutex)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Delete a mutex.  <a href="#ga4bdfefab59fb153a56dc3471c05b43a8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__mutex.html#gafbb464ac610636ea581917265ab84af0">tivxMutexLock</a> (<a class="el" href="group__group__tivx__mutex.html#gaca8bf54b8519ecd4c6aa8368286bde45">tivx_mutex</a> mutex)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Lock a mutex.  <a href="#gafbb464ac610636ea581917265ab84af0"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__mutex.html#gada5fda7d78c592af5151c18e08cebc0f">tivxMutexUnlock</a> (<a class="el" href="group__group__tivx__mutex.html#gaca8bf54b8519ecd4c6aa8368286bde45">tivx_mutex</a> mutex)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">UnLock a mutex.  <a href="#gada5fda7d78c592af5151c18e08cebc0f"></a><br/></td></tr>
<tr><td colspan="2"><h2>Typedefs</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef struct _tivx_mutex_t *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__mutex.html#gaca8bf54b8519ecd4c6aa8368286bde45">tivx_mutex</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Typedef for a mutex.  <a href="#gaca8bf54b8519ecd4c6aa8368286bde45"></a><br/></td></tr>
</table>
<hr/><h2>Typedef Documentation</h2>
<a class="anchor" id="gaca8bf54b8519ecd4c6aa8368286bde45"></a><!-- doxytag: member="tivx_mutex.h::tivx_mutex" ref="gaca8bf54b8519ecd4c6aa8368286bde45" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef struct _tivx_mutex_t* <a class="el" href="group__group__tivx__mutex.html#gaca8bf54b8519ecd4c6aa8368286bde45">tivx_mutex</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Typedef for a mutex. </p>

</div>
</div>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="ga10f941b75c48ffe7069c4b840ce095cc"></a><!-- doxytag: member="tivx_mutex.h::tivxMutexCreate" ref="ga10f941b75c48ffe7069c4b840ce095cc" args="(tivx_mutex *mutex)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a> tivxMutexCreate </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__group__tivx__mutex.html#gaca8bf54b8519ecd4c6aa8368286bde45">tivx_mutex</a> *&nbsp;</td>
          <td class="paramname"> <em>mutex</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Create a mutex. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>mutex</em>&nbsp;</td><td>[out] Pointer to mutex object</td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>VX_SUCCESS on success </dd></dl>

</div>
</div>
<a class="anchor" id="ga4bdfefab59fb153a56dc3471c05b43a8"></a><!-- doxytag: member="tivx_mutex.h::tivxMutexDelete" ref="ga4bdfefab59fb153a56dc3471c05b43a8" args="(tivx_mutex *mutex)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a> tivxMutexDelete </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__group__tivx__mutex.html#gaca8bf54b8519ecd4c6aa8368286bde45">tivx_mutex</a> *&nbsp;</td>
          <td class="paramname"> <em>mutex</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Delete a mutex. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>mutex</em>&nbsp;</td><td>[in] Pointer to mutex object</td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>VX_SUCCESS on success </dd></dl>

</div>
</div>
<a class="anchor" id="gafbb464ac610636ea581917265ab84af0"></a><!-- doxytag: member="tivx_mutex.h::tivxMutexLock" ref="gafbb464ac610636ea581917265ab84af0" args="(tivx_mutex mutex)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a> tivxMutexLock </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__group__tivx__mutex.html#gaca8bf54b8519ecd4c6aa8368286bde45">tivx_mutex</a>&nbsp;</td>
          <td class="paramname"> <em>mutex</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Lock a mutex. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>mutex</em>&nbsp;</td><td>[in] mutex object</td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>VX_SUCCESS on success </dd></dl>

</div>
</div>
<a class="anchor" id="gada5fda7d78c592af5151c18e08cebc0f"></a><!-- doxytag: member="tivx_mutex.h::tivxMutexUnlock" ref="gada5fda7d78c592af5151c18e08cebc0f" args="(tivx_mutex mutex)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a> tivxMutexUnlock </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__group__tivx__mutex.html#gaca8bf54b8519ecd4c6aa8368286bde45">tivx_mutex</a>&nbsp;</td>
          <td class="paramname"> <em>mutex</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>UnLock a mutex. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>mutex</em>&nbsp;</td><td>[in] mutex object</td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>VX_SUCCESS on success </dd></dl>

</div>
</div>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
